D-Bus: DBusWatch Struct Reference

D-Bus 1.10.22

Data Fields
DBusWatch Struct Reference
D-Bus secret internal implementation details » DBusWatch implementation details

Implementation of DBusWatch. More...

## Data Fields
int | refcount
| Reference count.
DBusPollable | fd
| File descriptor. More...
unsigned int | flags
| Conditions to watch. More...
DBusWatchHandler | handler
| Watch handler. More...
void * | handler_data
| Watch handler data. More...
DBusFreeFunction | free_handler_data_function
| Free the watch handler data. More...
void * | data
| Application data. More...
DBusFreeFunction | free_data_function
| Free the application data. More...
unsigned int | enabled: 1
| Whether it's enabled. More...
unsigned int | oom_last_time: 1
| Whether it was OOM last time. More...

## Detailed Description

Implementation of DBusWatch.

Definition at line 40 of file dbus-watch.c.

## Field Documentation

## ◆ data

void* DBusWatch::data

Application data.

Definition at line 50 of file dbus-watch.c.

Referenced by _dbus_watch_new(), _dbus_watch_set_handler(), and dbus_watch_get_data().

## ◆ enabled

unsigned int DBusWatch::enabled

Whether it's enabled.

Definition at line 52 of file dbus-watch.c.

Referenced by _dbus_watch_list_toggle_watch(), _dbus_watch_new(), and dbus_watch_get_enabled().

## ◆ fd

DBusPollable DBusWatch::fd

File descriptor.

Definition at line 43 of file dbus-watch.c.

Referenced by _dbus_watch_new(), dbus_watch_get_socket(), and dbus_watch_get_unix_fd().

## ◆ flags

unsigned int DBusWatch::flags

Conditions to watch.

Definition at line 44 of file dbus-watch.c.

Referenced by _dbus_watch_list_free(), _dbus_watch_new(), _dbus_watch_sanitize_condition(), and dbus_watch_get_flags().

## ◆ free_data_function

DBusFreeFunction DBusWatch::free_data_function

Free the application data.

Definition at line 51 of file dbus-watch.c.

Referenced by _dbus_watch_new(), and _dbus_watch_set_handler().

## ◆ free_handler_data_function

DBusFreeFunction DBusWatch::free_handler_data_function

Free the watch handler data.

Definition at line 48 of file dbus-watch.c.

Referenced by _dbus_watch_new(), and _dbus_watch_set_handler().

## ◆ handler

DBusWatchHandler DBusWatch::handler

Watch handler.

Definition at line 46 of file dbus-watch.c.

Referenced by _dbus_watch_new(), and _dbus_watch_set_handler().

## ◆ handler_data

void* DBusWatch::handler_data

Watch handler data.

Definition at line 47 of file dbus-watch.c.

Referenced by _dbus_watch_new(), and _dbus_watch_set_handler().

## ◆ oom_last_time

unsigned int DBusWatch::oom_last_time

Whether it was OOM last time.

Definition at line 53 of file dbus-watch.c.

The documentation for this struct was generated from the following file:

- dbus-watch.c